curl -X POST https://zeplo.ai/api/webhook-configs \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"url": "https://your-app.com/webhook",
"events": ["message.received", "conversation.created"]
}'
{
"success": true,
"data": {
"id": 2,
"url": "https://your-app.com/webhook",
"events": ["message.received", "conversation.created"],
"status": "active",
"secret": "whsec_xyz789...",
"createdAt": "2026-01-15T12:00:00Z"
}
}
Webhooks
POST Create Webhook
Register a new webhook endpoint.
POST
/
api
/
webhook-configs
curl -X POST https://zeplo.ai/api/webhook-configs \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"url": "https://your-app.com/webhook",
"events": ["message.received", "conversation.created"]
}'
{
"success": true,
"data": {
"id": 2,
"url": "https://your-app.com/webhook",
"events": ["message.received", "conversation.created"],
"status": "active",
"secret": "whsec_xyz789...",
"createdAt": "2026-01-15T12:00:00Z"
}
}
Create webhook
POST /api/webhook-configs
Create a new webhook configuration to receive real-time event notifications.
Headers
string
required
Session cookie (login via POST /api/auth/login)
string
required
HTTPS URL to receive webhook payloads
string[]
required
Events to subscribe to
string
Scope to a specific channel
string
Secret for payload verification
curl -X POST https://zeplo.ai/api/webhook-configs \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"url": "https://your-app.com/webhook",
"events": ["message.received", "conversation.created"]
}'
{
"success": true,
"data": {
"id": 2,
"url": "https://your-app.com/webhook",
"events": ["message.received", "conversation.created"],
"status": "active",
"secret": "whsec_xyz789...",
"createdAt": "2026-01-15T12:00:00Z"
}
}
Webhook payload format
{
"id": "evt_abc123",
"event": "message.received",
"timestamp": "2026-01-15T14:00:00Z",
"data": {
"messageId": 42,
"conversationId": 5,
"contactPhone": "919876543210",
"type": "text",
"content": { "text": "Hello!" },
"channelId": "647015955153740"
}
}
Webhook verification
Webhooks include a signature header for verification:X-Webhook-Signature: sha256=abcdef123456...
